"use strict";
(function ($) {
    $.view_list_coupons = function (element, options) {
        let defaults = {

        };
        let plugin = this;
        plugin.settings = {}
        let $element = $(element);
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);

            $element.find('#example').DataTable({

            });
            $element.find('input[type="checkbox"]').iCheck({
                checkboxClass: 'icheckbox_square-red',
                radioClass: 'iradio_square-red',
                increaseArea: '10%'
            });

            $element.find('select#searchByVendor').select2();
            $element.find('select#searchByVendor').on('change', function () {
                let $form = $(this).closest('form[name="admin-form"]');
                $form.submit();
            });

        }
        plugin.example_function = function () {
        }
        plugin.init();
    }
    $.fn.view_list_coupons = function (options) {
        return this.each(function () {
            if (undefined == $(this).data('view_list_coupons')) {
                let plugin = new $.view_list_coupons(this, options);
                $(this).data('view_list_coupons'
                    , plugin);
            }
        });
    }
})(jQuery);
